%define	upstream_name	Mail_Mime
%define	xmldir	%{_var}/lib/pear
%define	peardir	%(pear config-get php_dir 2> /dev/null)

Name:			php-pear-%{upstream_name}
Version:		1.10.12
Release:		%mkrel 1
Summary:		Mail_Mime provides classes to create MIME messages
License:		BSD-like
Group:			Development/PHP
Source0:		https://pear.php.net/get/Mail_Mime-%{version}.tgz
URL:			https://pear.php.net/package/Mail_Mime
BuildRequires:	php-pear >= 1.4.7
Requires:		php-pear
Requires(postun):	php-pear
BuildArch:		noarch

%description
Mail_Mime provides classes to deal with the creation and manipulation of
MIME messages.
It allows people to create e-mail messages consisting of:
* Text Parts
* HTML Parts
* Inline HTML Images
* Attachments
* Attached messages

It supports big messages, base64 and quoted-printable encodings and
non-ASCII characters in filenames, subjects, recipients, etc. encoded
using RFC2047 and/or RFC2231.

%prep
%setup -c -T
pear -v -c pearrc \
	-d php_dir=%{peardir} \
	-d doc_dir=/docs \
	-d bin_dir=%{_bindir} \
	-d data_dir=%{peardir}/data \
	-d test_dir=%{peardir}/tests \
	-d ext_dir=%{_libdir} \
	-s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

rm -rf %{buildroot}%{peardir}/tests
#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Mail_Mime.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Mail_Mime.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Mail_Mime
fi

%files
# %doc docs/Mail_Mime/*
%{peardir}/*
%{xmldir}/Mail_Mime.xml


%changelog
* Mon Mar 11 2024 mokraemer <mokraemer> 1.10.12-1.mga10
+ Revision: 2049220
- new version 1.10.12

* Wed Dec 27 2023 mokraemer <mokraemer> 1.10.11-1.mga10
+ Revision: 2022188
- new version 1.10.11

* Tue Mar 22 2022 umeabot <umeabot> 1.10.9-2.mga9
+ Revision: 1820140
- Mageia 9 Mass Rebuild

* Sat Jun 27 2020 mokraemer <mokraemer> 1.10.9-1.mga8
+ Revision: 1599532
- new version 1.10.9

* Mon Mar 02 2020 mokraemer <mokraemer> 1.10.7-1.mga8
+ Revision: 1553128
- Fixed some build  issues, removed test cases
- new version 1.10.7
- new version 1.10.7

* Sun Feb 16 2020 umeabot <umeabot> 1.10.4-2.mga8
+ Revision: 1535893
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 mokraemer <mokraemer> 1.10.4-1.mga8
+ Revision: 1453019
- new version 1.10.4

* Thu Sep 20 2018 umeabot <umeabot> 1.10.2-2.mga7
+ Revision: 1287767
- Mageia 7 Mass Rebuild

* Mon Dec 18 2017 mokraemer <mokraemer> 1.10.2-1.mga7
+ Revision: 1183269
- new version

* Tue Nov 07 2017 zezinho <zezinho> 1.10.1-1.mga7
+ Revision: 1176346
- new version 1.10.1 -replace spaces with tabs

* Sun Mar 13 2016 spuhler <spuhler> 1.10.0-1.mga6
+ Revision: 990302
- upgrade to vers. 1.10.0

* Fri Feb 05 2016 umeabot <umeabot> 1.8.9-4.mga6
+ Revision: 936400
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.8.9-3.mga5
+ Revision: 746540
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.9-2.mga5
+ Revision: 687336
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 spuhler <spuhler> 1.8.9-1.mga5
+ Revision: 644002
- upgrade to ver. 1.8.9

* Sat Oct 19 2013 umeabot <umeabot> 1.8.8-2.mga4
+ Revision: 529137
- Mageia 4 Mass Rebuild

* Sat Jul 06 2013 spuhler <spuhler> 1.8.8-1.mga4
+ Revision: 450525
- upgrade to ver 1.8.8

* Thu Jan 17 2013 umeabot <umeabot> 1.8.7-2.mga3
+ Revision: 389214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ spuhler <spuhler>
- upgrade to 1.8.7

* Mon Jan 23 2012 spuhler <spuhler> 1.8.2-2.mga2
+ Revision: 200017
- pearized spec file
- upgrade to 1.8.2

* Sun Mar 27 2011 spuhler <spuhler> 1.8.0-2.mga1
+ Revision: 77924
- increase rel for rebuild

* Thu Jan 20 2011 spuhler <spuhler> 1.8.0-1.mga1
+ Revision: 25516
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Mail_Mime

